net.sourceforge.pmd.util

## Class ClasspathClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - net.sourceforge.pmd.util.ClasspathClassLoader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ClasspathClassLoader
    extends URLClassLoader

Create a ClassLoader which loads classes using a CLASSPATH like String. If the String looks like a URL to a file (e.g. starts with `file://`) the file will be read with each line representing an path on the classpath.

Author:
  Edwin Chan

### Constructor Summary

Constructors
Constructor and Description
`ClasspathClassLoader(String classpath, ClassLoader parent)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClasspathClassLoader

    public ClasspathClassLoader(String classpath,
                        ClassLoader parent)
                         throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`